# Functor Blit_intf.Blit.Make_distinct

    module Make_distinct: functor (Elt : Blit_intf.Elt) -> functor (Src : Blit_intf.Sequence  with type elt := Elt.t) -> functor (Dst : sig
    include Blit_intf.Sequence

    val unsafe_blit : (Src.t, t) Blit_intf.blitend) -> S_distinct
          with type src := Src.t
          with type dst := Dst.t

`Make_distinct` is for blitting between values of distinct monomorphic types.

Parameters:

`Elt` | : | `Blit_intf.Elt`
`Src` | : | `Sequence with type elt := Elt.t`
`Dst` | : | `sig include Sequence with type elt := Elt.t val unsafe_blit : (Src.t, t) blit end`

    type src

    type dst

    val blit : (src, dst) Blit_intf.blit

    val blito : (src, dst) Blit_intf.blito

    val unsafe_blit : (src, dst) Blit_intf.blit

    val sub : (src, dst) Blit_intf.sub

    val subo : (src, dst) Blit_intf.subo